This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 683469 - [abrt] Zim-0.50-1.fc14: widgets.py:1762:<lambda>:AttributeError: 'CustomToolManagerDialog' object has no attribute 'show_help'
[abrt] Zim-0.50-1.fc14: widgets.py:1762:<lambda>:AttributeError: 'CustomToolM...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Zim (Show other bugs)
14
i686 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Robin Lee
Fedora Extras Quality Assurance
abrt_hash:bb9fa481
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2011-03-09 08:55 EST by Giuseppe Fiorentino
Modified: 2011-05-06 22:56 EDT (History)
3 users (show)

See Also:
Fixed In Version: Zim-0.52-1.fc14
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-05-06 22:56:19 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
File: backtrace (562 bytes, text/plain)
2011-03-09 08:55 EST, Giuseppe Fiorentino
no flags Details

  None (edit)
Description Giuseppe Fiorentino 2011-03-09 08:55:36 EST
abrt version: 1.1.17
architecture: i686
cmdline: /usr/bin/python /usr/bin/zim
component: Zim
executable: /usr/bin/zim
kernel: 2.6.35.11-83.fc14.i686
package: Zim-0.50-1.fc14
reason: widgets.py:1762:<lambda>:AttributeError: 'CustomToolManagerDialog' object has no attribute 'show_help'
release: Fedora release 14 (Laughlin)
time: 1299665352
uid: 500

backtrace
-----
widgets.py:1762:<lambda>:AttributeError: 'CustomToolManagerDialog' object has no attribute 'show_help'

Traceback (most recent call last):
  File "/usr/lib/python2.7/site-packages/zim/gui/widgets.py", line 1762, in <lambda>
    button.connect('clicked', lambda o: self.ui.show_help(self.help_page))
AttributeError: 'CustomToolManagerDialog' object has no attribute 'show_help'

Local variables in innermost frame:
self: <EditCustomToolDialog object at 0x9c76fa4 (zim+gui+widgets+Dialog at 0x9be9320)>
o: <gtk.Button object at 0x9df5d24 (GtkButton at 0x9ec4478)>

comment
-----
i'm browsing namespaces by clicking namespaces into left column

How to reproduce
-----
1..
2.
3.
Comment 1 Giuseppe Fiorentino 2011-03-09 08:55:39 EST
Created attachment 483222 [details]
File: backtrace
Comment 2 Robin Lee 2011-03-10 04:51:44 EST
Can you provide detailed reproducing steps?
Comment 3 Fedora Update System 2011-04-19 23:34:31 EDT
Zim-0.51-1.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/Zim-0.51-1.fc14
Comment 4 Fedora Update System 2011-04-20 15:21:03 EDT
Package Zim-0.51-1.fc14:
* should fix your issue,
* was pushed to the Fedora 14 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing Zim-0.51-1.fc14'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/Zim-0.51-1.fc14
then log in and leave karma (feedback).
Comment 5 Fedora Update System 2011-04-28 15:20:26 EDT
Zim-0.52-1.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/Zim-0.52-1.fc14
Comment 6 Fedora Update System 2011-05-06 22:56:10 EDT
Zim-0.52-1.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.